ModuleVersionSelector (Gradle API 4.9)
Date: 2018-07-16

org.gradle.api.artifacts

## Interface ModuleVersionSelector

- All Known Subinterfaces:
    ClientModule, DependencyConstraint, ExternalDependency, ExternalModuleDependency

      public interface ModuleVersionSelector

  Selects a module version. If you need to change this interface, you're probably doing it wrong: it is superceded by `ModuleComponentSelector`, so check this first, and only add methods here if it's for bridging.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The group of the module.
    `ModuleIdentifier` | `getModule()` The module identifier of the component.
    `String` | `getName()` The name of the module.
    `String` | `getVersion()` The version of the module
    `VersionConstraint` | `getVersionConstraint()` Returns the version constraint to be used during selection.
    `boolean` | `matchesStrictly(ModuleVersionIdentifier identifier)` To match strictly means that the given identifier needs to have equal group, module name and version.

- - ### Method Detail

    - #### getGroup

          String getGroup()

      The group of the module.
      Returns:
        module group

    - #### getName

          String getName()

      The name of the module.
      Returns:
        module name

    - #### getVersion

          String getVersion()

      The version of the module
      Returns:
        module version

    - #### getVersionConstraint

          @Incubating
          VersionConstraint getVersionConstraint()

      Returns the version constraint to be used during selection.
      Returns:
        the version constraint
      Since:
        4.4

    - #### matchesStrictly

          @Incubating
          boolean matchesStrictly(ModuleVersionIdentifier identifier)

      To match strictly means that the given identifier needs to have equal group, module name and version. It does not smartly match dynamic versions, e.g. '1.+' selector does not strictly match '1.2' identifier.
      Returns:
        if this selector matches exactly the given identifier.

    - #### getModule

          @Incubating
          ModuleIdentifier getModule()

      The module identifier of the component. Returns the same information as `getGroup()` and `getName()`.
      Returns:
        the module identifier
      Since:
        4.9